### Enumeration

# GObject SignalMatchType

#### Declaration

    flags GObject.SignalMatchType

#### Description [src]

The match types specify what g_signal_handlers_block_matched(), `g_signal_handlers_unblock_matched()` and `g_signal_handlers_disconnect_matched()` match signals by.

#### Members

`G_SIGNAL_MATCH_ID`

  The signal id must be equal.

  - Value: `1`
  - Available since: 2.0
`G_SIGNAL_MATCH_DETAIL`

  The signal detail must be equal.

  - Value: `2`
  - Available since: 2.0
`G_SIGNAL_MATCH_CLOSURE`

  The closure must be the same.

  - Value: `4`
  - Available since: 2.0
`G_SIGNAL_MATCH_FUNC`

  The C closure callback must be the same.

  - Value: `8`
  - Available since: 2.0
`G_SIGNAL_MATCH_DATA`

  The closure data must be the same.

  - Value: `16`
  - Available since: 2.0
`G_SIGNAL_MATCH_UNBLOCKED`

  Only unblocked signals may be matched.

  - Value: `32`
  - Available since: 2.0